"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function loadCss(url) {
    let link = document.createElement('link');
    link.type = 'text/css';
    link.rel = 'stylesheet';
    link.href = url;
    document.getElementsByTagName('head')[0].appendChild(link);
}
exports.loadCss = loadCss;
function createDiv(idName) {
    let div = document.createElement('div');
    div.style.width = '500px';
    div.style.height = '500px';
    div.id = idName;
    return div;
}
function createCanvas(idName) {
    let canvas = document.createElement('canvas');
    Object.assign(canvas.style, {
        width: '100%',
        height: '100%',
        position: 'absolute',
        'z-index': 2
    });
    canvas.id = idName;
    return canvas;
}
function createMapDiv(idName) {
    let div = document.createElement('div');
    Object.assign(div.style, {
        'pointer-events': 'none',
        height: '100%',
        width: '100%',
        position: 'absolute',
        'z-index': 1
    });
    div.id = idName;
    return div;
}
function hideMapboxCSSWarning() {
    let missingCssWarning = document.getElementsByClassName('mapboxgl-missing-css')[0];
    if (missingCssWarning) {
        missingCssWarning.style.display = 'none';
    }
}
exports.hideMapboxCSSWarning = hideMapboxCSSWarning;
function createDeckScaffold(rootElement) {
    let mapNode = createMapDiv('map');
    let canvasNode = createCanvas('deck-map-container');
    let mapWrapperNode = createDiv('deck-map-wrapper');
    mapWrapperNode.appendChild(canvasNode);
    mapWrapperNode.appendChild(mapNode);
    rootElement.appendChild(createDiv('deck-container'))
        .appendChild(mapWrapperNode);
}
exports.createDeckScaffold = createDeckScaffold;
function setMapProps(map, props) {
    if ('viewState' in props && props.viewState.longitude && props.viewState.latitude) {
        const { viewState } = props;
        map.jumpTo({
            center: [viewState.longitude, viewState.latitude],
            zoom: viewState.zoom || 10,
            bearing: viewState.bearing || 0,
            pitch: viewState.pitch || 0
        });
    }
    if (props.map && 'style' in props.map) {
        if (props.map.style !== map.deckStyle) {
            map.setStyle(props.map.style);
            map.deckStyle = props.map.style;
        }
    }
}
exports.setMapProps = setMapProps;
//# sourceMappingURL=utils.js.map